#include "burnimageisoitem.h"
#include "ui_burnimageisoitem.h"

BurnImageISOItem::BurnImageISOItem(QString path, QWidget *parent) :
    QWidget(parent),
    ui(new Ui::BurnImageISOItem)
{
    QFont f;
    ui->setupUi(this);
    f = ui->label->font();
    f.setPixelSize(14);
    ui->label->setText(path);
    setToolTip(path);
    ui->label->setFont(f);
    ui->pushButton->setIcon(QIcon::fromTheme("window-close-symbolic"));
    ui->pushButton->setProperty("isWindowButton", 0x2);
    ui->pushButton->setProperty("useIconHighlightEffect", 0x8);
    ui->pushButton->hide();
}

BurnImageISOItem::~BurnImageISOItem()
{
    delete ui;
}
